Bug 1126844 - Add support for using Dell EqualLogic as backend for Cinder volumes
Summary: Add support for using Dell EqualLogic as backend for Cinder volumes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-puppet-modules
Version: 5.0 (RHEL 7)
Hardware: x86_64
OS: Unspecified
high
high
Target Milestone: z1
: 5.0 (RHEL 7)
Assignee: Ivan Chavero
QA Contact: John Walsh
URL:
Whiteboard:
Depends On: 1094810
Blocks: 1093544 1114660 1114752 1116865
TreeView+ depends on / blocked
 
Reported: 2014-08-05 12:27 UTC by Scott Lewis
Modified: 2017-07-10 12:25 UTC (History)
15 users (show)

Fixed In Version: openstack-puppet-modules-2014.1-21.8.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of: 1094810
Environment:
Last Closed: 2014-09-30 17:51:05 UTC
mlopes: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1324 normal SHIPPED_LIVE openstack-packstack and openstack-puppet-modules bug fix advisory 2014-09-30 21:49:21 UTC

Comment 4 nlevinki 2014-08-27 10:54:43 UTC
Tried to configure Dell as cinder backed using staypuf
rpm -qa | grep staypuf
ruby193-rubygem-staypuft-0.2.5-1.el6ost.noarch
 
Deplyment configuration parameters:
----------------------------------
Cinder backend eqlx = true
Cinder backend eqlx name = Dell_backed
Cinder multiple backends = true
Cinder san ip = 10.16.45.61
Cinder san login = grpadmin
Cinder san password = Redhat
Cinder eqlx group name = PS6000-group
Cinder eqlx pool = default


got from staypuf this error
ActiveRecord::RecordInvalid
Validation failed: Value is invalid array
app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'
lib/middleware/catch_json_parse_errors.rb:9:in `call'

Comment 5 Scott Seago 2014-08-27 12:34:55 UTC
It's not clear from the comments here, but what exact params did you put into the staypuft wizard for Equallogic on the Cinder tab? The UI takes single values here, but when we generate the actual puppetclass params we turn them into arrays. In addition, what do the values say for the eqlx params on the advanced config view (the erb value is shown in the main text box, and there's a calculated value below)

Comment 7 arkady kanevsky 2014-08-28 23:52:39 UTC
Rajini,
can you respond to the requested info.
Arkady

Comment 8 Ivan Chavero 2014-08-29 01:13:46 UTC
this seems like an error in staypuft, are you sure this has to do with the openstack puppet modules?

Comment 9 Tzach Shefi 2014-09-16 12:51:05 UTC
Ivan, 

I'm a bit confused as on how to verify this bug. 
If bug was opened on openstack-puppet-modules, by looking at bug I should use Foreman Openstack installer. 

Bug version is set to 5 (RHEL7), also "fixed on"->  openstack-puppet-modules-2014.1-21.8.el7ost   notice el7.  

But Foreman OFI only runs on RHEL6,  I verified this bug but on rhel6 
openstack-puppet-modules-2014.1-21.8.el6ost.noarch. Configured Cinder to use EQL storage, deployed Openstack, cinder created volume -> successfully created. 

Would checking on el6 be sufficient or is there another way to test this on RHEL7? 

Thanks

Comment 10 Martin Magr 2014-09-16 13:04:32 UTC
Both Staypuft and OFI are using quickstack, so IMHO this should be enough for testing.

Comment 11 John Walsh 2014-09-16 15:37:32 UTC
Ivan,
Testing with OFI installer (RHEL6) is valid for verifying that the Equallogic backend bits are deployed correctly.  This is what is in the RA for the first release of the joint solution.  It's entirely possible that there could be an issue in Staypuft that's not in OFI.  If so, that may require a separate bug.

Comment 12 Tzach Shefi 2014-09-17 08:09:58 UTC
Verified based on comments 11 and 10. 

Version:
openstack-puppet-modules-2014.1-21.8.el6ost.noarch
OFI on rhel6, Openstack on RHEL7. 

Configured EQL storage on OFI Cinder screen, deployed Openstack, successfully created Cinder volume. 

Due to remote EQL storage (over WAN) also added:
num_volume_device_scan_tries=5.

Comment 16 errata-xmlrpc 2014-09-30 17:51:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1324.html


Note You need to log in before you can comment on or make changes to this bug.